variable "vmray_worker_instance_count" {
  description = "How many workers to build. These are expensive."
  type        = number
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "instance_types" { type = map }
variable "instance_termination_protection" { type = bool }
variable "standard_tags" { type = map }
variable "dns_info" { type = map }
variable "environment" { type = string }
variable "portal_test_whitelist" { type = list }
variable "trusted_ips" { type = list(string) }
variable "proxy" { type = string }
variable "salt_master" { type = string }
variable "cidr_map" { type = map }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "aws_account_id" { type = string }
variable "vpc_id" { type = string }
variable "azs" { type = list(string) }
variable "public_subnets" { type = list(string) }
variable "private_subnets" { type = list(string) }
variable "common_services_account" { type = string }
